List all groups in a Nacos namespace
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groupsInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthnacos_namespace*string
Nacos namespace name.
Length
1 <= lengthResponse Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/nacos/namespaces/public/groups"Successfully retrieved the list of Nacos groups.
{
"list": [
"DEFAULT_GROUP",
"DEV_GROUP",
"TEST_GROUP",
"STAGING_GROUP",
"PROD_GROUP"
],
"total": 5
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups
List all groups in a Nacos namespace
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.nacos_namespace(path, string, required): Nacos namespace name.
Responses
200: Successfully retrieved the list of Nacos groups.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of Nacos groups.total(object, optional):400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups'